Search the VMware Knowledge Base (KB)
View by Article ID

Downloading and enabling VMware vShield Endpoint 5.x on supported VMware vSphere platforms (2036875)

  • 46 Ratings

Purpose

This article provides instructions to download and enable the VMware vShield Endpoint software for:
  • vSphere 6.0.x
  • vSphere 5.5.x
  • vSphere 5.1.x
  • vSphere 5.0.x
  • vSphere 4.1 Update 3
With the launch of VMware vSphere 5.1 and VMware vCloud Networking and Security 5.1, if you have valid Support and Subscription (SnS) contracts for vSphere Essentials Plus or higher editions, you are entitled to vShield Endpoint functionality at no extra cost.
 
Notes:
  • Only vShield Endpoint 5.5.4, 5.5.4.1, VMware NSX for vSphere 6.1.4, and 6.2.x are supported on vSphere 6.0.x. Prior versions of vShield Endpoint are not supported with vSphere 6.0.x
  • vShield Endpoint is only supported on vSphere 5.5, vSphere 5.1.x, vSphere 5.0.x, and vSphere 4.1 Update 3.
  • You are entitled to Endpoint functionality at no cost only if you have valid Support and Subscription (SnS) contract for vSphere Essentials Plus and higher editions.
  • vShield Endpoint is enabled using your vSphere license key and therefore does not require a separate license.
  • vShield Manager, included in the vCloud Networking and Security 5.1.x and 5.5.x binary, is required to deploy and configure Endpoint 5.1.x.

Resolution

To download and enable VMware vShield Endpoint 5.x:

vSphere 4.1 Update 3

If you are using vSphere 4.1 Update 3 with a support contract for vSphere Essentials Plus or higher edition:
  • You are entitled to vShield Endpoint at no cost.
  • You can obtain the desired version of vShield Endpoint using one of these options:

    • The vSphere 4.1 download group provides vShield Endpoint 5.0.2. You can download vShield Endpoint 5.0.2, available at VMware Downloads.

    • If you want to use the latest vShield Endpoint 5.1.x software, you can obtain the vShield Endpoint functionality by downloading vCloud Networking and Security 5.1.x, available at VMware Downloads.

      Notes:
      • To use vShield Endpoint 5.1.x on ESXi 4.1 Update 3, you must upgrade to vCenter Server 5.0.
      • vShield Manager, included in the vCloud Networking and Security 5.1.x binary, is required to deploy and configure vShield Endpoint 5.1.x.
      • If you are exclusively using the vShield Endpoint feature of vCloud Networking and Security (vCNS) in vCenter 5.1.x and 5.5.x, the vCNS asset may show up as unlicensed or with an evaluation license in the vCenter Server console. Even in evaluation or unlicensed mode, the vShield Endpoint feature continues to be fully functional.

    • You can upgrade to vSphere 5.1. For more information on downloading and enabling vShield Endpoint with vSphere 5.1, see the vSphere 5.1 section.

vSphere 5.0

If you are an existing vSphere 5.0 customer with a support contract for vSphere Essentials Plus or higher edition:
  • You are entitled to vShield Endpoint at no cost.
  • You can obtain the desired version of vShield Endpoint using one of these options:

    • The vSphere 5.0 download group provides vShield Endpoint 5.0.2. You can download vShield Endpoint 5.0.2, available at VMware Downloads.

    • If you want to use the latest vShield Endpoint 5.1.x software, you can obtain the vShield Endpoint functionality by downloading vCloud Networking and Security 5.1.x, available at VMware Downloads.

      Notes:
      • vShield Manager, included in the vCloud Networking and Security 5.1.x binary, is required to deploy and configure vShield Endpoint 5.1.x.
      • Download the endpoint_license.txt file from the Downloads page to obtain the necessary license to fully activate vShield Endpoint.
      • If you are exclusively using the Endpoint feature of vCloud Networking and Security (vCNS) in vCenter 5.1, the vCNS asset may show up as unlicensed or with an evaluation license in the vCenter Server console. Even in evaluation or unlicensed mode, the vShield Endpoint feature will continue to be fully functional.

    • You can upgrade to vSphere 5.1. For more information on downloading and enabling vShield Endpoint with vSphere 5.1, see the vSphere 5.1 section in this article.

vSphere 5.1

If you upgrade from vSphere 4.1/5.0 to vSphere 5.1 or perform a fresh installation of vSphere 5.1:
  • Your vSphere 5.1.x license enables the vShield Endpoint 5.1.x functionality and no additional vShield Endpoint license is required.
  • You must download and install the vCloud Networking and Security 5.1.x binary.
  • You can download the latest software, available at VMware Downloads.

    Notes:

    If you are exclusively using the vShield Endpoint feature of vCloud Networking and Security (vCNS) in vCenter 5.1, the vCNS asset may show up as unlicensed or with an evaluation license in the vCenter Server console. Even in evaluation or unlicensed mode, the vShield Endpoint feature will continue to be fully functional.

    vSphere 5.5

    If you upgrade from vSphere 4.1 Update 3, 5.0 or 5.1 to vSphere 5.5 or perform a new install of vSphere 5.5:

    • vCloud Networking and Security 5.5.x still pushes a vShield Endpoint 5.1 release to 5.1 and 5.5 ESXi hosts. vCloud Networking and Security 5.5 also includes vShield Endpoint license.
    • Your vSphere 5.5 license enables the vShield Endpoint 5.1.x functionality and no additional vShield Endpoint license is required.
    • You must download and install or upgrade the vCloud Networking and Security 5.5.x binary.
    • You can download the latest software, available at VMware Downloads.

    vSphere 6.0

    vCloud Networking and Security 5.5.4 is compatible with vSphere 6.0. However, the new vSphere features introduced in vSphere 6.0 have not been tested with vCloud Networking and Security. These new vSphere features should not be used in environments where vCloud Networking and Security is installed as they are unsupported.

    Additional Information

    Compatibility Matrix

    ESXi/ESX vCenter Server vShield Endpoint/vCloud Networking and Security Supported
    4.1 Update 3 4.1 Update 3 5.0.x Yes
    4.1 Update 3 5.0.x 5.0.x Yes
    4.1 Update 3 5.1.x 5.0.x Yes. However, VMware recommends that customers move to vShield Endpoint 5.1.x
    4.1 Update 3 4.1 Update 3 5.1.x
    No. vShield Manager, part of vCloud Networking and Security 5.1, does not support
    vCenter Server versions earlier to 5.0
    4.1 Update 3 5.0.x 5.1.x Yes
    4.1 Update 3 5.1.x 5.1.x Yes
    5.0.x 4.1 Update 3 5.0.x No. ESXi hosts cannot have a higher version than the vCenter Server managing them
    5.0.x 5.0.x 5.0.x Yes
    5.0.x 5.1.x 5.0.x Yes. However, VMware recommends that customers move to vShield Endpoint 5.1.x
    5.0.x 4.1 Update 3 5.1.x No. ESXi hosts cannot have a higher version than the vCenter Server managing them
    5.0.x 5.0.x 5.1.x Yes
    5.0.x 5.1.x 5.1.x Yes
    5.5.x 5.5.x 5.5.x Yes
    6.0 6.0 5.5.4, 5.5.4.x, NSX for vSphere 6.1.4 and 6.2.x Yes
     
    For more information, see the VMware Product Interoperability Matrixes.
     
    To be alerted when this article is updated, click Subscribe to Document in the Actions box.

    See Also

    Update History

    05/23/2014 - Added VMware vShield Endpoint 5.5.x

    Request a Product Feature

    To request a new product feature or to provide feedback on a VMware product, please visit the Request a Product Feature page.

    Feedback

    • 46 Ratings

    Did this article help you?
    This article resolved my issue.
    This article did not resolve my issue.
    This article helped but additional information was required to resolve my issue.

    What can we do to improve this information? (4000 or fewer characters)




    Please enter the Captcha code before clicking Submit.
    • 46 Ratings
    Actions
    KB: